<?php

namespace App\Traits;

trait EnumToArray
{
    /**
     * Get all possible values for use in migrations, validations, etc.
     *
     * @return array<int,string>
     */
    public static function values(): array
    {
        return array_column(self::cases(), 'value');
    }
}
